# reports

open fun reports(closure: Closure): BuildDashboardReports

Configures the reports to be generated by this task. The contained reports can be configured by name and closures.

    buildDashboard {
      reports {
        html {
          destination "build/dashboard.html"
        }
      }
    }

Content copied to clipboard

#### Return

The reports container

#### Parameters

closure

The configuration

open fun reports(configureAction: Action<in BuildDashboardReports>): BuildDashboardReports

Configures the reports to be generated by this task. The contained reports can be configured by name and closures.

    buildDashboard {
      reports {
        html {
          destination "build/dashboard.html"
        }
      }
    }

Content copied to clipboard

#### Return

The reports container

#### Parameters

configureAction

The configuration

val reports: BuildDashboardReports